#!/bin/bash
#
# ms_map_example_new_mutations.sh
#
# Darren Kessner
# Novembre Lab, UCLA
#

#
# This example shows how to map neutral variation generated by ms to a forqs population file,
# while including new mutations generated during the forqs simulation.
#
# For illustrative purposes, we use ms_test_data_1.txt {'aaaaaaaaa', ... , 'zzzzzzzzz'}
# Actual simulated data will be sequences of 0's and 1's.
#

# run a short (3 generations) forqs simulation -- individuals in the final population will have
# a few (2-3) recombinations per chromosome, and a few new mutations in a 10mb region
forqs example_neutral_mutation_region_short.txt

# forqs output is placed in new directory 'output_example_neutral_mutation_region_short';
# copy ms-format data and mapping file to this directory
cp ms_test_data_1.txt output_example_neutral_mutation_region_short
cp ms_map_config_2.txt output_example_neutral_mutation_region_short
cd output_example_neutral_mutation_region_short

# run forqs_map_ms, which maps the neutral variation to the final population and merges in the
# newly generated mutations
forqs_map_ms population_final_pop1.txt ms_map_config_2.txt > output.ms


